libxml++ 2.42.1

Public Member Functions | List of all members
xmlpp::Dtd Class Reference

Represents XML DTDs. More...

`#include <libxml++/dtd.h>`

## Public Member Functions
LIBXMLPP_API | Dtd (_xmlDtd* dtd)
LIBXMLPP_API | ~Dtd ()
LIBXMLPP_API _xmlDtd* | cobj ()
| Access the underlying libxml implementation. More...
LIBXMLPP_API const _xmlDtd* | cobj () const
| Access the underlying libxml implementation. More...
LIBXMLPP_API Glib::ustring | get_external_id () const
LIBXMLPP_API Glib::ustring | get_name () const
LIBXMLPP_API Glib::ustring | get_system_id () const

## Detailed Description

Represents XML DTDs.

## Constructor & Destructor Documentation

## ◆ Dtd()

LIBXMLPP_API xmlpp::Dtd::Dtd | ( | _xmlDtd * | dtd | ) |

## ◆ ~Dtd()

LIBXMLPP_API xmlpp::Dtd::~Dtd | ( |  | ) |

## Member Function Documentation

## ◆ cobj() [1/2]

LIBXMLPP_API _xmlDtd* xmlpp::Dtd::cobj | ( |  | ) |

Access the underlying libxml implementation.

## ◆ cobj() [2/2]

LIBXMLPP_API const _xmlDtd* xmlpp::Dtd::cobj | ( |  | ) | const

Access the underlying libxml implementation.

## ◆ get_external_id()

LIBXMLPP_API Glib::ustring xmlpp::Dtd::get_external_id | ( |  | ) | const

## ◆ get_name()

LIBXMLPP_API Glib::ustring xmlpp::Dtd::get_name | ( |  | ) | const

## ◆ get_system_id()

LIBXMLPP_API Glib::ustring xmlpp::Dtd::get_system_id | ( |  | ) | const